<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE	message SYSTEM "Message.dtd">
<miracle>
	<version>1.0.0.2</version>
	<message>
		<service name="miraclereport">
			<messagelist>
				<messageinfo name="reportinit" requirereturn="true" destination="miraclereport">
					<property name="servicecode" type="dword"/>
					<property name="dumpsend" type="int"/>
					<property name="returnvalue" type="dword" transfer="return"/>
				</messageinfo>
				<messageinfo name="reportsend" requirereturn="false" destination="miraclereport">
					<property name="servername" type="string"/>
					<property name="reportstring" type="string"/>
				</messageinfo>
				<messageinfo name="reportsendsync" requirereturn="true" destination="miraclereport">
					<property name="servername" type="string"/>
					<property name="reportstring" type="string"/>
				</messageinfo>
			</messagelist>
		</service>
	</message>
</miracle>
